### Function

# Gio AppInfo get_default_for_uri_scheme

#### Declaration [src]

    GAppInfo*
    g_app_info_get_default_for_uri_scheme (
      const char* uri_scheme
    )

#### Description [src]

Gets the default application for handling URIs with the given URI scheme.

A URI scheme is the initial part of the URI, up to but not including the `:`. For example, `http`, `ftp` or `sip`.

#### Parameters

`uri_scheme`

  Type: `const char*`

  A string containing a URI scheme.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GAppInfo`

`GAppInfo` for given `uri_scheme` or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.